FINDMNT(8)

NAME
findmnt - find a filesystem

SYNOPSIS
findmnt [options]

findmnt [options] device|mountpoint

findmnt [options] [--source] device [--target] mountpoint

DESCRIPTION
findmnt will list all mounted filesytems or search for a filesystem. The findmnt command is able to search in /etc/fstab, /etc/mtab or /proc/self/mountinfo. If device or mountpoint is not given, all filesystems are shown.

The command prints all mounted filesystems in the tree-like format by default.

OPTIONS

-h, --help
    Print help and exit.

-s, --fstab
    Search in /etc/fstab. The output is in the list format (see --list).

-m, --mtab
    Search in /etc/mtab. The output is in the list format (see --list).

-k, --kernel
    Search in /proc/self/mountinfo. The output is in the tree-like format. This is the default.

-c, --canonicalize
    Canonicalize all printed paths.

-d, --direction word
    The search direction - forward or backward.

-e, --evaluate
    Convert all tags (LABEL or UUID) to the device names.

-F, --tab-file path
    Search in an alternative file, if used with --fstab, --mtab or --kernel then overwrites the default paths.

-f, --first-only
    Print the first matching filesystem only.

-i, --invert
    Invert the sense of matching.

-l, --list
    Use the list output format. This output format is automatically enabled if the output is restricted by -t, -O, -S or -T option and the option --submounts is not used.

-v, --nofsroot
    Do not print a [/dir] in the SOURCE column for bind-mounts or btrfs subvolumes.

-n, --noheadings
    Do not print a header line.

-u, --notruncate
    Do not truncate text in columns. The default is to not truncate the TARGET, SOURCE, UUID and LABEL columns. This option disables text truncation also in all other columns.

-O, --options list
    Limit the set of printed filesystems. More than one option may be specified in a comma-separated list. The -t and -O options are cumulative in effect. It is different from -t in that each option is matched exactly; a leading no at the beginning does not have global meaning. The "no" could used for individual items in the list. The "no" prefix interpratation could be disabled by "+" prefix.

-o, --output list
    Define output columns. Currently supported are ACTION, SOURCE, TARGET, OLD-TARGET, FSTYPE, OPTIONS, OLD-OPTIONS, VFS-OPTIONS, FS-OPTIONS, LABEL and UUID. The TARGET column contains tree formatting if the --list or --raw options are not specified.

-p, --poll[=list]
    Monitor changes in the /proc/self/mountinfo file. Supported actions are: mount, umount, remount and move. More than one action may be specified in a comma-separated list. All actions are monitored by default. The time for which --poll will block can be restricted with the --timeout or --first-only options. The standard columns always use the new version of the information from the mountinfo file, except the umount action which is based on the original information cached by findmnt(8). The poll mode allows to use extra columns:

    ACTION
        mount, umount, move or remount action name; this column is enabled by default

    OLD-TARGET
        available for umount and move actions

    OLD-OPTIONS
        available for umount and remount actions

-P, --pairs
    Use key="value" output format.

-r, --raw
    Use raw output format.

-a, --ascii
    Use ascii characters for tree formatting.

-t, --types list
    Limit the set of printed filesystems. More than one type may be specified in a comma-separated list. The list of filesystem types can be prefixed with no to specify the filesystem types on which no action should be taken. For more details see mount(8).

-R, --submounts
    Print recursively all submounts for the selected filesystems. The restrictions defined by options -t, -O, -S, -T and --direction are not applied to submounts. All submounts are always printed in tree-like order. The option enables the tree-like output format by default. This option has no effect for --mtab or --fstab.

-S, --source spec
    Explicitly define the mount source. Supported are device, LABEL= and UUID=.

-T, --target dir
    Explicitly define the mount target (mountpoint directory).

-w, --timeout milliseconds
    Specify an upper limit on the time for which --poll will block, in milliseconds.

EXAMPLES

findmnt --fstab -t nfs
    Prints all nfs filesystems defined in /etc/fstab.

findmnt --fstab /mnt/foo
    Prints all /etc/fstab filesystems where the mountpoint directory is /mnt/foo. It also prints bind mounts where /mnt/foo is a source.

findmnt --fstab --target /mnt/foo
    Prints all /etc/fstab filesystems where the mountpoint directory is /mnt/foo.

findmnt --fstab --evaluate
    Prints all /etc/fstab filesystems and converts LABEL= and UUID= tags to the real device names.

findmnt -n --raw --evaluate --output=target LABEL=/boot
    Prints only the mountpoint where the filesystem with label "/boot" is mounted.

findmnt --poll --target /mnt/foo
    Monitors mount, umount, remount and move on /mnt/foo.

findmnt --poll=umount --first-only --target /mnt/foo
    Waits for /mnt/foo umount.

findmnt --poll=remount -t ext3 -O ro
    Monitors remounts to read-only mode on all ext3 filesystems.

ENVIRONMENT

LIBMOUNT_FSTAB=<path>
    overrides the default location of the fstab file

LIBMOUNT_MTAB=<path>
    overrides the default location of the mtab file

LIBMOUNT_DEBUG=0xffff
    enables debug output

AUTHORS
Karel Zak <kzak@redhat.com>

SEE ALSO
mount(8), fstab(5)

AVAILABILITY
The findmnt command is part of the util-linux package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux/.